<?php
/**
 * Base Widget Class for Watson ZMND
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

abstract class WS_ZMND_Widget_Base extends \Elementor\Widget_Base {
    /**
     * Get widget icon
     * 
     * @return string Widget icon.
     */
    public function get_icon() {
        return 'eicon-elementor';
    }

    /**
     * Get widget categories
     * 
     * @return array Widget categories.
     */
    public function get_categories() {
        return ['ws-category'];
    }

    /**
     * Get script depends
     */
    public function get_script_depends() {
        return [];
    }

    /**
     * Get style depends
     */
    public function get_style_depends() {
        return ['ws-zmnd-widgets'];
    }
}
